TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.RVCMTransportInfo Class Reference

This class represents TIBCO Rendezvous Certified Messaging transports that are configured on the EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.RVCMTransportInfo:

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | RVTransportName`[get]`
| Get the name of this transport's TIBCO Rendezvous transport. More...
string | CMName`[get]`
| Get the certified messaging name used by this transport for TIBCO Rendezvous Certified Messaging. More...
string | Ledger`[get]`
| Get the name of the ledger file used by this transport for TIBCO Rendezvous Certified Messaging. More...
bool | SyncLedger`[get]`
| Indicates whether or not the EMS server is to use a synchronous ledger file when participating in TIBCO Rendezvous Certified Messaging on this transport. More...
bool | RequestOld`[get]`
| Indicates whether or not TIBCO Rendezvous Certified Messages that were sent by certified senders while the EMS server was not running should be requested when the EMS server starts up. More...
double | DefaultTimeLimit`[get]`
| Get the default time-to-live for TIBCO Rendezvous Certified Messages sent on this transport by the server to TIBCO Rendezvous clients. More...
bool | ExlicitConfigOnly`[get]`
| Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server. More...
bool | ExplicitConfigOnly`[get]`
| Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server. More...
RVQueuePolicy | Policy`[get]`
| Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport. More...
Properties inherited from TIBCO.EMS.ADMIN.TransportInfo
string | Name`[get]`
| Get the name of the transport. More...
TransportType | Type`[get]`
| Get the type of the transport. More...
DeliveryMode | TopicImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a topic. More...
DeliveryMode | QueueImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a queue. More...
bool | ExportHeaders`[get]`
| Indicates whether or not EMS header information is included in messages exported on this transport. More...
bool | ExportProperties`[get]`
| Indicates whether or not the EMS message properties are included in messages exported on this transport. More...

## Detailed Description

This class represents TIBCO Rendezvous Certified Messaging transports that are configured on the EMS server.

TIBCO Rendezvous Certified Messaging transports are mechanisms for importing and exporting messages between EMS and TIBCO Rendezvous Certified Messaging clients.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.RVCMTransportInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

string TIBCO.EMS.ADMIN.RVCMTransportInfo.CMName
| get

Get the certified messaging name used by this transport for TIBCO Rendezvous Certified Messaging.

Returns
  the certified messaging name used by this transport.

double TIBCO.EMS.ADMIN.RVCMTransportInfo.DefaultTimeLimit
| get

Get the default time-to-live for TIBCO Rendezvous Certified Messages sent on this transport by the server to TIBCO Rendezvous clients.

Returns
  the time-to-live in seconds, or 0 if messages don't expire.

bool TIBCO.EMS.ADMIN.RVCMTransportInfo.ExlicitConfigOnly
| get

Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server.

Note that if this property is set to true unconfigured listeners will still receive the exported messages but message delivery will be reliable not certified.

Returns
  true if only configured listeners are to receive certified messages, false otherwise.

Deprecated:
  As of release 6.0. Use the correctly spelled method ExplicitConfigOnly.

bool TIBCO.EMS.ADMIN.RVCMTransportInfo.ExplicitConfigOnly
| get

Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server.

Note that if this property is set to true unconfigured listeners will still receive the exported messages but message delivery will be reliable not certified.

Returns
  true if only configured listeners are to receive certified messages, false otherwise.

string TIBCO.EMS.ADMIN.RVCMTransportInfo.Ledger
| get

Get the name of the ledger file used by this transport for TIBCO Rendezvous Certified Messaging.

Returns
  the name of the ledger file or null if the ledger file is not set and Rendezvous certified messages are only stored in memory.

RVQueuePolicy TIBCO.EMS.ADMIN.RVCMTransportInfo.Policy
| get

Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport.

Since EMS 5.0

Returns
  the RV Queue policy for this transport

bool TIBCO.EMS.ADMIN.RVCMTransportInfo.RequestOld
| get

Indicates whether or not TIBCO Rendezvous Certified Messages that were sent by certified senders while the EMS server was not running should be requested when the EMS server starts up.

Returns
  true if old messages are to be requested, false otherwise.

string TIBCO.EMS.ADMIN.RVCMTransportInfo.RVTransportName
| get

Get the name of this transport's TIBCO Rendezvous transport.

All TIBCO Rendezvous Certified Messaging transports must have an underlying TIBCO Rendezvous transport and this method returns the name of that transport.

Returns
  the name of the transport's Rendezvous transport.

bool TIBCO.EMS.ADMIN.RVCMTransportInfo.SyncLedger
| get

Indicates whether or not the EMS server is to use a synchronous ledger file when participating in TIBCO Rendezvous Certified Messaging on this transport.

If the ledger is synchronous the EMS server will perform synchronous updates to the TIBCO Rendezvous Certified Messaging ledger file. This can slow the performance of importing certified messages but reduces the risk of duplicate delivery following a server failure.

Returns
  true if the transport uses synchronous ledger, false otherwise.